include mixins

doctype html

head
    +head
    link(href='assets/css/login.css' rel='stylesheet')
    
body
    .click-closed
    +navbar('login')

    // / Intro Single star /
    section.intro-single
        .container
            center
                - var error = error
                
                +error(error)
                
        
                form.needs-validation.form-signin.bg-light(method='POST' action='/ingresar' novalidate)
                    img.img-fluid(src='/assets/img/imagenlogin.jpg' alt='Avatar')
                    hr
                    h2 Inicie Sesión
                    label(for='uname') E-mail:
                    input#uname.form-control.form-control-lg(type='text' placeholder='Ingresar Email' name='email' required='' value=`${email}`)
                    .invalid-feedback
                        | Ingrese un Email válido
                    br
                    label(for='psw') Contraseña:
                    input#psw.form-control.form-control-lg.form-control-a(type='password' placeholder='Ingresar Contraseña' name='password' required='' value=`${password}` )
                    .invalid-feedback
                        | Ingrese su contraseña
                    button.btn.btn-link.text-secondary ¿Olvidó su contraseña?
                    br
                    br
                    button.btn.btn-primary.btn-lg.btn-block(type='submit') Ingresar
                        | 
                        .fa.fa-sign-in
                    //hr
                    //.g-signin2(data-onsuccess='onSignIn'  data-longtitle='true') 
                    hr
                    p ¿No tiene una cuenta?
                        |
                        a.btn.btn-link(href='/register') Registrese
                br

                script.
                    (function() {
                        'use strict';
                        window.addEventListener('load', function() {
                            var forms = document.getElementsByClassName('needs-validation');
                            var validation = Array.prototype.filter.call(forms, function(form) {
                                form.addEventListener('submit', function(event) {
                                    if (form.checkValidity() === false) {
                                        event.preventDefault();
                                        event.stopPropagation();
                                    }
                                    form.classList.add('was-validated');
                                }, false);
                            });
                        }, false);
                    })();
                script.
                    function onSignIn(googleUser) {
                        var profile = googleUser.getBasicProfile();
                        console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
                        console.log('Name: ' + profile.getName());
                        console.log('Image URL: ' + profile.getImageUrl());
                        console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.
                        var id_token = googleUser.getAuthResponse().id_token;
                        var xhr = new XMLHttpRequest();
                        xhr.open('POST', '/google');
                        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
                        xhr.onload = function() {
                            console.log('Signed in as: ' + xhr.responseText);
                            window.location = '/';
                        };
                        xhr.send('idtoken=' + id_token);
                    
                    }
                    
    +footer
    +scripts
